%define name mhwaveedit
%define version 1.4.21
%define release %mkrel 1

Summary:	mhWaveEdit is a graphical program for editing, playing and recording sound files.
Summary(de):	mhWaveEdit ein grafisches Programm zum bearbeiten, spielen und aufnehmen von Audio 
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL v2 
Group: 		Sound
URL: 		https://gna.org/projects/mhwaveedit/
Source0: 	%{name}-%{version}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: 	pkgconfig 
BuildRequires:  sndfile-devel
BuildRequires:  SDL-devel 
BuildRequires:  gtk+2-devel 
BuildRequires:  libsamplerate-devel
BuildRequires:  esound-devel
BuildRequires:  pulseaudio-devel
BuildRequires:  libjack-devel
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2


%description
mhWaveEdit is a graphical program for editing, playing and recording sound files.
It is lightweight, portable, user-friendly and handles large files very well.

The program itself has only simple editing features such as cut'n'paste and volume adjustment
but it can also use Ladspa effect plugins and the effects provided by the SoX application. 
It can also support additional file formats besides wav through libsndfile and mp3/ogg import and export through lame and oggenc/oggdec.

For sound playback and recording, mhWaveEdit supports OSS, ALSA, Jack, SDL, PortAudio and EsounD.

#german
%description -l de
mhWaveEdit bietet zahlreiche Möglichkeiten um Sound Dateien zu bearbeiten, zurecht zu schneiden 
und in diversen Formaten zu speichern.
Es ist resourcen schonend, portierbar, benutzerfreundlich und kannmit großen Dateien sehr gut umgehen.

Das Programm selbst bietet nur einfache Editier Funktionen wie „ausschneiden und einfügen“ und eine 
Lautstärkenregelung, aber es kann ebenso die Ladspa Effekt-Erweiterungen, von den SoX-Anwendungen verwenden.
Es bietet weitere Unterstützung neben wav, über libsndfile und mp3/ogg Import und Export bis zu lame und oggenc/oggdec.

Für die Musikwiedergabe und Aufnahme, unterstützt mhWaveEdit OSS, ALSA, Jack, SDL, PortAudio und Esound.


%prep

%setup -q -n %{name}-%{version}

%build

%configure2_5x --without-portaudio

%make

%install
%makeinstall_std

desktop-file-install --vendor="" \
   --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/*.desktop
%{_datadir}/man/man1/mhwaveedit.1.*


%changelog
* Mon May 09 2011 Texstar <texstar at gmail.com> 1.4.21-1pclos2011
- 1.4.21

* Sun Dec 26 2010 Texstar <texstar at gmail.com> 1.4.20-1pclos2010
- 1.4.20

* Thu Mar 25 2010 slick50 <lxgator@gmail.com> 1.4.18-1pclos2010
- 1.4.18

* Mon Jan 04 2010 slick50 <lxgator@gmail.com> 1.4.17-1pclos2010
- 1.4.17

* Sun Aug 09 2009 slick50 <lxgator@gmail.com> 1.4.16-1pclos2009
- 1.4.16

* Mon Aug 25 2008 slick50 <slick50@linuxgator.org> 1.4.15-1pclos2007
- initial package
